/**
  *  \file ui/richobj.cc
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "ui/richobj.h"
#include "gfx/gfxcontext.h"
#include "ui/skin.h"

RichDocumentBlockObject::~RichDocumentBlockObject()
{ }

/************************ RichDocumentImageObject ************************/

RichDocumentImageObject::RichDocumentImageObject(Ptr<GfxPixmap> pix)
    : pix(pix)
{ }
RichDocumentImageObject::~RichDocumentImageObject()
{ }

GfxPoint
RichDocumentImageObject::getSize()
{
    if (pix) {
        return GfxPoint(pix->getWidth(), pix->getHeight());
    } else {
        return GfxPoint(10, 10);
    }
}

void
RichDocumentImageObject::draw(GfxContext& ctx, GfxRect area)
{
    if (pix) {
        pix->blitSized(ctx.getCanvas(), area.x, area.y, area.w, area.h);
    } else {
        ctx.setColor(UIColor::tc_Red);
        drawRectangle(ctx, area);
    }
}

